package cn.com.qmth.dp.examcloud.oe.modules.findcheatanswer;

import java.util.List;
import java.util.Map;

import org.apache.commons.collections4.CollectionUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.stereotype.Service;

import cn.com.qmth.dp.examcloud.oe.multithread.Producer;

@Service
public class FindCheatAnswerProducer extends Producer {
	@Autowired
	private JdbcTemplate jdbcTemplate;
	
	@Override
	protected void produce(Map<String, Object> param) throws Exception {
		Long examId = (Long) param.get("examId");
		List<Long> cs = findAllRecordIds(examId);
		System.out.println("recordCount:" + cs.size());
		if (CollectionUtils.isNotEmpty(cs)) {
			for (Long c : cs) {
				offer(c);
			}
		}
	}
	
	
	private List<Long> findAllRecordIds(Long examId) {
		StringBuilder sqlBuilder = new StringBuilder();
		sqlBuilder.append(" select t.id from ec_oe_exam_record_data t ");
		sqlBuilder.append(" where t.exam_id =" + examId);
//		sqlBuilder.append(" and t.id=52780182");

//		RowMapper<Long> rowMapper = new BeanPropertyRowMapper<Long>(Long.class);
		List<Long> ret = jdbcTemplate.queryForList(sqlBuilder.toString(),Long.class);
		return ret;
	}
	

}
